﻿using System;
using System.Runtime.Serialization;
using System.Windows.Forms;

namespace Hush
{
    [Serializable]
    internal class ToolTippedException : Exception
    {
        public ToolTippedException()
        {
        }

        public ToolTippedException(string message) : base(message)
        {
        }

        public ToolTippedException(string message, Exception innerException) : base(message, innerException)
        {
        }

        public ToolTippedException(ToolTipIcon icon, string title, string body)
        {
            Icon = icon;
            Title = title;
            Body = body;
        }

        protected ToolTippedException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }

        public ToolTipIcon Icon { get; }
        public string Title { get; }
        public string Body { get; }
    }
}